Subject: Re: linux-next: manual merge of the wireless-drivers-next tree with the wireless-drivers tree

From: Luciano Coelho <[email-masked]>
Date: Tue, 30 Apr 2019 08:30:32 +0300

On Tue, 2019-04-30 at 14:08 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the wireless-drivers-next tree got a
> conflict in:
> 
>   drivers/net/wireless/intel/iwlwifi/fw/file.h
> 
> between commit:
> 
>   b35f63972c5c ("iwlwifi: dbg_ini: check debug TLV type explicitly")
> 
> from the wireless-drivers tree and commit:
> 
>   aee1b6385e29 ("iwlwifi: support fseq tlv and print fseq version")
> 
> from the wireless-drivers-next tree.
> 
> I fixed it up (the latter is a superset of the former) and can carry the
> fix as necessary. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.

Thanks, Stephen!

Your resolution is correct, thanks.  I accidentally included the block
that was already in b35f63972c5c when I rebased aee1b6385e29, but it's
harmless (except for the minimal conflict it causes).

--
Cheers,
Luca.